*{
    transition: box-shadow 0.5s ease-in-out;
}
a{
    text-decoration: none;
    color: #000;
    font-size: 0.9rem;
}
textarea {
    width: 99%;
    display: block;
    min-height: 1rem; /* 调整这个值来改变空行的高度 */
}
label,textarea {
    margin: 0 0.5rem 0.5rem 0.5rem;
    box-shadow: 0 0 0 #666;
}
video{
    position: absolute;
    top: 80%;
    left: 80%;
    width: 20%;
    height: 20%;
    margin: 0 auto;
    padding: 0;
    z-index: 2!important;
    opacity: 0.4;
}

.resizable {
    box-shadow: 0 0 0 #666;
    transition: box-shadow 0.5s ease-in-out;
    margin: 0.5rem 0 1.5rem 0;
    padding: 0;
    border-radius: 0.8rem;
    overflow: auto;
}


fieldset {
    margin-inline-start: 0;
    border: 1px solid #ccc;
    margin: 0 0 1rem 0;
    padding: 0;
}
button {
    cursor: pointer;
    box-shadow: 0px 10px 14px -7px #464747;
	background:linear-gradient(to bottom, #282a2b 5%, #6f7171 100%);
	border-radius:8px;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
	font-family:Arial;
	font-size:20px;
	font-weight:bold;
	text-decoration:none;
	text-shadow:0px 1px 0px #bb5e2d;
    padding: 0.2rem;
    margin: 1rem;
}
.tabs > div{
    height: calc(100vh - 120px);
}
.xterm {
    cursor: text;
    position: relative;
    user-select: none;
    -ms-user-select: none;
    -webkit-user-select: none;
}

.xterm.focus,
.xterm:focus {
    outline: none;
}

.xterm .xterm-helpers {
    position: absolute;
    top: 0;
    z-index: 5;
}

.xterm .xterm-helper-textarea {
    padding: 0;
    border: 0;
    margin: 0;
    /* Move textarea out of the screen to the far left, so that the cursor is not visible */
    position: absolute;
    opacity: 0;
    left: -9999em;
    top: 0;
    width: 0;
    height: 0;
    z-index: -5;
    /** Prevent wrapping so the IME appears against the textarea at the correct position */
    white-space: nowrap;
    overflow: hidden;
    resize: none;
}

.xterm .composition-view {
    background: #000;
    color: #FFF;
    display: none;
    position: absolute;
    white-space: nowrap;
    z-index: 1;
}

.xterm .composition-view.active {
    display: block;
}

.xterm .xterm-viewport {
    /* On OS X this is required in order for the scroll bar to appear fully opaque */
    background-color: #000;
    overflow-y: scroll;
    cursor: default;
    position: absolute;
    right: 0;
    left: 0;
    top: 0;
    bottom: 0;
}

.xterm .xterm-screen {
    position: relative;
}

.xterm .xterm-screen canvas {
    position: absolute;
    left: 0;
    top: 0;
}

.xterm .xterm-scroll-area {
    visibility: hidden;
}

.xterm-char-measure-element {
    display: inline-block;
    visibility: hidden;
    position: absolute;
    top: 0;
    left: -9999em;
    line-height: normal;
}

.xterm.enable-mouse-events {
    /* When mouse events are enabled (eg. tmux), revert to the standard pointer cursor */
    cursor: default;
}

.xterm.xterm-cursor-pointer,
.xterm .xterm-cursor-pointer {
    cursor: pointer;
}

.xterm.column-select.focus {
    /* Column selection mode */
    cursor: crosshair;
}

.xterm .xterm-accessibility,
.xterm .xterm-message {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    z-index: 10;
    color: transparent;
    pointer-events: none;
}

.xterm .live-region {
    position: absolute;
    left: -9999px;
    width: 1px;
    height: 1px;
    overflow: hidden;
}

.xterm-dim {
    /* Dim should not apply to background, so the opacity of the foreground color is applied
     * explicitly in the generated class and reset to 1 here */
    opacity: 1 !important;
}

.xterm-underline-1 { text-decoration: underline; }
.xterm-underline-2 { text-decoration: double underline; }
.xterm-underline-3 { text-decoration: wavy underline; }
.xterm-underline-4 { text-decoration: dotted underline; }
.xterm-underline-5 { text-decoration: dashed underline; }

.xterm-overline {
    text-decoration: overline;
}

.xterm-overline.xterm-underline-1 { text-decoration: overline underline; }
.xterm-overline.xterm-underline-2 { text-decoration: overline double underline; }
.xterm-overline.xterm-underline-3 { text-decoration: overline wavy underline; }
.xterm-overline.xterm-underline-4 { text-decoration: overline dotted underline; }
.xterm-overline.xterm-underline-5 { text-decoration: overline dashed underline; }

.xterm-strikethrough {
    text-decoration: line-through;
}

.xterm-screen .xterm-decoration-container .xterm-decoration {
    z-index: 6;
    position: absolute;
}

.xterm-screen .xterm-decoration-container .xterm-decoration.xterm-decoration-top-layer {
    z-index: 7;
}

.xterm-decoration-overview-ruler {
    z-index: 8;
    position: absolute;
    top: 0;
    right: 0;
    pointer-events: none;
}

.xterm-decoration-top {
    z-index: 2;
    position: relative;
}

.myXterm,.layui-tab-item,.layui-tab-content{
    height: calc(90vh - 140px) !important;
    width: 100% !important;
}
#tip{
    font: 1.5rem 微软雅黑,宋体;
    color: #e4e2e2;
    vertical-align: center;
    text-align: center;
    position: fixed;
    margin-top: 18vh;
    top: 0;
    cursor: pointer;
    left: 9vw;
    width: 82vw;
    z-index: 1
}
footer {
    position: fixed;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    bottom: 0;
    left: 0;
    height: 40px;
    background-color: #f0f0f0;
    border-top: 1px solid #ccc;
}
footer a{
    box-shadow: 0 0 0 #666;
    transition: box-shadow 0.5s ease-in-out;
    margin: 0 0.5rem 0 0.5rem;
    padding: 0.3rem;
    border-radius: 0.8rem;
}
legend{
    font-weight: bold;
    color: #ddf50a;
    background-color: #8e1519;
}
fieldset{
    margin-bottom: 1.5rem;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
}
footer a:hover,label:hover,textarea:hover,button:hover,.resizable:hover,fieldset:hover,.ct01 > *:hover,.ct02 > *:hover{
    color: #f80cdc!important;
    box-shadow: rgba(0, 0, 0, 0.56) 0px 22px 30px 4px !important;
    /* box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px; */
    /* box-shadow: rgb(38, 57, 77) 0px 20px 30px -10px; */
    /* box-shadow: rgba(0, 0, 0, 0.3) 0px 19px 38px, rgba(0, 0, 0, 0.22) 0px 15px 12px; */
    /* box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.1) 0px 8px 24px, rgba(17, 17, 26, 0.1) 0px 16px 56px; */
}
.ta textarea{
    height: calc((100vh - 280px)/2);
}
.ui-tabs .ui-tabs-panel,.layui-tab-content{
    padding:0;
}
.ui-widget-content{
    border: 0 solid #000!important;
}

.w50{
    display: inline;
    width: 49.5%;
}
.ct01 {
    position: relative;
    display:grid;
    justify-content: center; /* 水平居中 */
    align-items: start; /* 垂直居中 */
    width: 95%; /* 宽度不超过父容器 */
    height: auto; /* 高度自适应子元素 */
    margin: 1rem auto 0 auto;
    grid-template-columns: repeat(5, 1fr); /* 五等分 */
    grid-gap: 0.5rem; /* 网格间隔 */
    z-index: 3;
}
/*
目标 server power-by
*/
.ct02 {
    position: relative;
    display:grid;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: auto;
    margin: 1rem auto 0 auto;
    grid-template-columns: repeat(20, 1fr);
    grid-gap: 0.5rem;
    z-index: 3;
}

/* 子元素样式 */
.ct01 > *,.ct02 > * {
    display:grid!important;
    text-align: center;
    margin: 0.1rem auto 0.1rem auto;
    padding: 8px!important;
    border-radius: 0.8rem;
    width: 90%!important;
}
iframe{width: 100%;height: calc(100vh - 90px);overflow: auto;}
p{
    display: inline;
}
fieldset div{
    margin-bottom: 8px;
}
.mygp{
    display: none;
    width: 100vw;
    height: 768px;
    overflow: auto!important;
}
.mygp canvas{

    width: 20000px;
    height: 7000px;
}
.rssz{
    color: #f30707;
    margin: 0;
    font-weight: bold;
    display: inline-grid;
    width: 100px!important;
    text-align: right;
    background-color: #eee9e9;
}
.rstm{
    color: red;
    width: 175px;
}


.h1{
    margin: 3% auto 0 auto;
    width: 100%;
    font-size: 5vw;
    display: flex;
    font-weight: 1000;
    vertical-align: center;
    justify-content: center;
    font-family:"微软雅黑",serif;
    text-shadow: rgba(0, 0, 0, 0.56) 0px 28px 35px;
}
#tp1{
    display: none;
    position: absolute;
    left: 20%;
    top: 25%;
    width: 70%;
    height: 45vh;
    z-index: 2;
    overflow: auto;
    word-wrap: break-word;
    background-color: #f6d3af;
}

.alis{
    margin: 3% auto 0 auto;
    width: 60%;
}
.sc1{
    left: 19.4%;
    margin-top: 10px;
    position: fixed;
    z-index: 1;
}
.b1{
    margin: 2.45rem auto 0 auto;
    vertical-align: center;
    display: flex;
    justify-content: center;
    width: 100%;
}
.b1 button{
    font-family: "Microsoft YaHei";
    font-size: 1.7vw;
    width: 5vw;
    height: 4.5vh;
    vertical-align: center;
    justify-content: center;
    margin: 0;
    padding: 0;
}

#result{
    width: 100%;
    margin: 0;
    padding: 0;
    overflow: auto;
}
#iFy{
    display: none;
    position: fixed;
    left: 70%;
    top: 90%;
    font-family:"微软雅黑",serif;
    background-color: rgba(239, 205, 205, 0.3);
}
#iFy i{
    font-size: 1rem;
    color: #f60404;
    margin: 5px 5px 0 5px;
}
header label,main fieldset,#iHelp,.fyctl{
    cursor: pointer;
}
footer b{
    font-size: 1.2rem;
    font-weight: bold;
    color: #f60404;
}
/*定义竖屏 css*/
@media only screen and (max-width: 600px){
    .sc1{
        left: 0;
        margin-top: 10px;
        position: fixed;
        z-index: 1;
        white-space: nowrap;
        font-size: 1rem!important;
    }
    .sc1 label{
        margin: 0 0.1rem 0.1rem 0.1rem;
        box-shadow: 0 0 0 #666;
    }
    .b1 button{
        font-family: "Microsoft YaHei";
        font-size: 1rem;
        width: 3rem;
        height: 2rem;
        vertical-align: center;
        justify-content: center;
        margin: 0;
        padding: 0;
    }
    #iFy{
        display: none;
        position:absolute;
        left: 7%;
        top: 90%;
        font-family:"微软雅黑",serif;
        background-color: rgba(239, 205, 205, 0.3);
    }
    footer{
        display: none;
    }
}
/*定义横屏 css*/
@media  (orientation:landscape) and (max-width: 1024px) {
    #iFy{
        display: none;
        position:absolute;
        left: 7%;
        top:87%;
        font-family:"微软雅黑",serif;
        background-color: rgba(239, 205, 205, 0.3);
    }
    footer{
        display: none;
    }
}